# ulib/ldap

## `get_default_ldapconfdir_prefix`
~~~
Calculer et afficher la valeur par défaut de LDAPCONFDIR, ou une chaine
vide si l'on n'a pas pu le détecter automatiquement.
~~~
## `get_default_ldapowner_prefix`
~~~
Calculer et afficher la valeur par défaut de LDAPOWNER, ou une chaine
vide si l'on n'a pas pu le détecter automatiquement.
~~~
## `compute_ldap_prefixes`
## `recompute_ldap_prefixes`
## `get_LDAPCONFDIR_prefix`
## `get_LDAPOWNER_prefix`
## `split_ldapuri`
~~~
spliter le ldapuri $1 en $2(=proto), $3(=host) et $4(=port)
~~~
## `get_suffixes`
~~~
obtenir les suffixes de connexion du serveur avec l'uri $1, un par ligne
retourner 1 si la valeur n'a pas pu être obtenue
~~~
## `get_anysuffix`
~~~
obtenir le *premier* suffixe du serveur avec l'uri $1
retourner 1 si la valeur n'a pas pu être obtenue
~~~
## `get_dcsuffix`
~~~
obtenir le *premier* suffixe du serveur avec l'uri $1 qui se termine par
dc=TLD où TLD est une valeur quelconque. A priori, c'est un suffixe d'une
base de donnée non administrative.
retourner 1 si la valeur n'a pas pu être obtenue
~~~
## `get_suffix`
~~~
obtenir le *premier* suffixe du serveur avec l'uri $1 qui se termine si
possible par dc=TLD où TLD est une valeur quelconque. Dans le cas normal,
le suffixe affiché est celui d'une base non administrative.
retourner 1 si la valeur n'a pas pu être obtenue
~~~
## `reldn`
## `absdn`
~~~
obtenir le dn absolu correspondant au dn $1, le dn de base étant
$2(=$SUFFIX)
~~~
## `subof`
~~~
tester si le dn absolu $1 est $2 ou un enfant de $2
~~~
## `rabsdn`
~~~
comme absdn, mais tient compte de la valeur de $3(=$SEARCHBASE)
Si le dn commence par "~/", le dn est relatif à $2(=$SUFFIX)
Si le dn commence par "/", le dn est absolu
Sinon, le dn est relatif à $3
~~~
## `pdn`
~~~
corriger pour *affichage* un dn *absolu*. pour la racine "", afficher
'/'. pour $2(=$SUFFIX), afficher '~'. sinon, afficher le dn relativement à
$2
~~~
## `filter_slapdconf`
~~~
Traiter un fichier de configuration slapd.conf en fusionnant les lignes
qui sont découpées. Ceci permet de faire des traitements sur le contenu.
Ce filtre s'utilisera normalement avec filter_conf, e.g.:
<slapd.conf filter_slapdconf | filter_conf >result.conf
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary